---
title: "Cookies"
template: "page"
---

A cookie is a small text file that a website saves on the client
computer (your computer) to make the website function better.
Note that these files can be stored as actual "cookies" or as "local/session storage".<br />
I will be using Cookie to refer to both in the rest of this article

Some examples of what cookies are used for:

- Remembering what language/theme the website should be in
- Storing your cart when shopping online
- Keeping you logged in

There are also cookies that are not explicitly set by the website
owner themselves. These are often introduced when websites include
projects which have been made by other people. Some of these
include:

- Disqus - A comment system for your website
- Google analytics - To track info about the website (i.e how many times each page has been seen)
- Social media (twitter, facebook, etc) - To add in those shiny "like" or "tweet" buttons.

Cookies like these are stored for pretty much every website you
visit and they make the World Wide Web what it is today.

## The EU cookie law

Since mid 2015 every website which is either hosted in Europe or
targets the European market is required to inform and get consent from
users about using cookies. This is usually done with a bar at the
bottom of the page which can be dismissed with a simple button. More
information about the legislation around the cookie law can be found
[here](https://wikis.ec.europa.eu/display/WEBGUIDE/04.+Cookies+and+similar+technologies).

## Revoking cookie access

All well known browser offer a way for you to revoke any cookie. Explore the links below to learn more.

- [Deleting cookies in Chrome](https://support.google.com/chrome/answer/95647?co=GENIE.Platform%3DDesktop&hl=en)
- [Deleting cookies in Firefox](https://support.mozilla.org/en-US/kb/delete-cookies-remove-info-websites-stored)
- [Deleting cookies in Edge](https://support.microsoft.com/en-us/windows/microsoft-edge-browsing-data-and-privacy-bb8174ba-9d73-dcf2-9b4a-c582b4e640dd)
